Skip to main content
PATCH
/
v1
/
products
/
{id}
/
addons
/
{addonId}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update a product addon
const updatedAddon = await solifyn.addons.update('prod_019e56a1...', 'addon_019e56a2...', {
  priceOverride: 18.00
});
console.log('Addon Updated:', updatedAddon);
{
  "productId": "prod_addon_123",
  "minQuantity": 1,
  "maxQuantity": 10,
  "priceOverride": 15,
  "isSeatAddon": true
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

The parent product ID.

Example:

"prod_parent_123"

addonId
string
required

The add-on product ID.

Example:

"prod_addon_123"

Body

application/json
minQuantity
number

Minimum quantity of the addon allowed to be purchased.

Example:

1

maxQuantity
number

Maximum quantity of the addon allowed to be purchased (optional).

Example:

10

priceOverride
number

Price override for the addon product when purchased with this parent (optional).

Example:

15

isSeatAddon
boolean

Flag indicating if this addon represents a seat/license limit increment.

Example:

true

Response

200 - application/json

Add-on configuration updated successfully.

productId
string
required

The product ID of the addon product.

Example:

"prod_addon_123"

minQuantity
number
required

Minimum quantity allowed.

Example:

1

maxQuantity
object
required

Maximum quantity allowed (null if unlimited).

Example:

10

priceOverride
object
required

Price override (null if using base product price).

Example:

15

isSeatAddon
boolean
required

Flag indicating if this is a seat/license addon.

Example:

true